initial commit

This commit is contained in:
Niklas Kapelle 2024-05-31 14:07:31 +02:00
commit 7150f1d9e0
Signed by: niklas
GPG Key ID: 4EB651B36D841D16
7 changed files with 844 additions and 0 deletions

70
buttons.csv Normal file
View File

@ -0,0 +1,70 @@
$trigger,Unset
$pinky_big,Unset
$pinky_s,Unset
$pickle,Unset
$joy_n_b,Unset
$joy_n_r,Unset
$joy_n_l,Unset
$joy_n_f,Unset
$joy_n_p,Unset
$pov_b,Unset
$pov_r,Unset
$pov_l,Unset
$pov_f,Unset
$trim_b,Unset
$trim_r,Unset
$trim_l,Unset
$trim_f,Unset
$ws_b,Unset
$ws_r,Unset
$ws_l,Unset
$ws_f,Unset
$com_2,Unset
$com_1,Unset
$cm_u,Unset
$cm_d,Unset
$scroll_plus,Unset
$scroll_minus,Unset
$gear_u,Unset
$gear_d,Unset
$flaps_u,Unset
$flaps_d,Unset
$air_u,Unset
$air_d,Unset
$mode_m1,Unset
$mode_m2,Unset
$mode_s1,Unset
$sw_2_u,Unset
$sw_2_d,Unset
$sw_1_u,Unset
$sw_1_d,Unset
$rot_bot_plus,Unset
$rot_bot_minus,Unset
$rot_top_plus,Unset
$rot_top_minus,Unset
$sw_4_u,Unset
$sw_4_d,Unset
$sw_3_u,Unset
$sw_3_d,Unset
$th_n_b,Unset
$th_n_r,Unset
$th_n_l,Unset
$th_n_f,Unset
$th_n_p,Unset
$sc_top_minus,Unset
$sc_top_p,Unset
$sc_top_plus,Unset
$sc_bot_minus,Unset
$sc_bot_p,Unset
$sc_bot_plus,Unset
$nottdc_b,Unset
$nottdc_u,Unset
$nottdc_f,Unset
$nottdc_d,Unset
$tdc_b,Unset
$tdc_u,Unset
$tdc_f,Unset
$tdc_d,Unset
$sld_f,Unset
$sld_b,Unset
$th_btn_e,Unset
1 $trigger Unset
2 $pinky_big Unset
3 $pinky_s Unset
4 $pickle Unset
5 $joy_n_b Unset
6 $joy_n_r Unset
7 $joy_n_l Unset
8 $joy_n_f Unset
9 $joy_n_p Unset
10 $pov_b Unset
11 $pov_r Unset
12 $pov_l Unset
13 $pov_f Unset
14 $trim_b Unset
15 $trim_r Unset
16 $trim_l Unset
17 $trim_f Unset
18 $ws_b Unset
19 $ws_r Unset
20 $ws_l Unset
21 $ws_f Unset
22 $com_2 Unset
23 $com_1 Unset
24 $cm_u Unset
25 $cm_d Unset
26 $scroll_plus Unset
27 $scroll_minus Unset
28 $gear_u Unset
29 $gear_d Unset
30 $flaps_u Unset
31 $flaps_d Unset
32 $air_u Unset
33 $air_d Unset
34 $mode_m1 Unset
35 $mode_m2 Unset
36 $mode_s1 Unset
37 $sw_2_u Unset
38 $sw_2_d Unset
39 $sw_1_u Unset
40 $sw_1_d Unset
41 $rot_bot_plus Unset
42 $rot_bot_minus Unset
43 $rot_top_plus Unset
44 $rot_top_minus Unset
45 $sw_4_u Unset
46 $sw_4_d Unset
47 $sw_3_u Unset
48 $sw_3_d Unset
49 $th_n_b Unset
50 $th_n_r Unset
51 $th_n_l Unset
52 $th_n_f Unset
53 $th_n_p Unset
54 $sc_top_minus Unset
55 $sc_top_p Unset
56 $sc_top_plus Unset
57 $sc_bot_minus Unset
58 $sc_bot_p Unset
59 $sc_bot_plus Unset
60 $nottdc_b Unset
61 $nottdc_u Unset
62 $nottdc_f Unset
63 $nottdc_d Unset
64 $tdc_b Unset
65 $tdc_u Unset
66 $tdc_f Unset
67 $tdc_d Unset
68 $sld_f Unset
69 $sld_b Unset
70 $th_btn_e Unset

31
generate.sh Executable file
View File

@ -0,0 +1,31 @@
#/usr/bin/env sh
set -eo pipefail
if [ "$#" -ne 2 ]; then
echo "Usage: $0 <mapping.csv> <image.svg>"
exit 1
fi
MAPPING_FILE=$1
IMAGE_FILE=$2
if [ ! -f "$MAPPING_FILE" ]; then
echo "$MAPPING_FILE not found!"
exit 1
fi
if [ ! -f "$IMAGE_FILE" ]; then
echo "$IMAGE_FILE not found!"
exit 1
fi
# awk -F, 'NR==FNR {map[$1] = $2; next} {for (key in map) gsub("\\b" key "\\b", map[key]); print}' $MAPPING_FILE $IMAGE_FILE
awk -F, 'NR==FNR {map[$1] = $2; next} END {for (key in map) print key, "=>", map[key]}' $MAPPING_FILE
# while IFS=, read -r col1 col2 _; do
# echo "$col1, $col2"
# done < "$MAPPING_FILE`"

BIN
mini-stick.jpg Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 9.0 KiB

BIN
stick.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 204 KiB

BIN
throttle.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 185 KiB

740
x56.drawio Normal file

File diff suppressed because one or more lines are too long

3
x56.svg Normal file

File diff suppressed because one or more lines are too long

After

Width:  |  Height:  |  Size: 1.1 MiB